Class | Fog::Compute::LibvirtUtil::URI
In: | lib/fog/libvirt/models/compute/util/uri.rb
Parent: | Object

### Methods

command driver host keyfile name netcat new no_tty? no_verify? password pkipath port remote? scheme socket ssh_enabled? transport tty? user verify?

### Attributes

uri | [R] |

### Public Class methods

new(uri)

### Public Instance methods

command()
driver()
host()
keyfile()
name()
netcat()
no_tty?()
no_verify?()
password()
pkipath()
port()
remote?()
scheme()
socket()
ssh_enabled?()
transport()

Transport will be part of the scheme The part after the plus sign f.i. qemu+ssh

tty?()
user()
verify?()

[Validate]